#extension GL_ARB_texture_rectangle : enable

uniform sampler2DRect tex0;
uniform sampler2DRect tex1;

uniform float focus_depth;
uniform float focus_length;
uniform float bfz;

void main ()
{
	float diff;

	vec4 frag 	   = texture2DRect(tex0, gl_TexCoord[0].st);
	vec4 blurred_frag  = texture2DRect(tex1, gl_TexCoord[0].st*0.25);

	gl_FragColor = frag;


	if (frag.a < 50.0 && frag.a > 0.3)
	{
		diff = 1.0 - (frag.a/50.0);
	
		gl_FragColor = ((1.0-diff)*frag) + (diff*blurred_frag);
	}

}